LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XIdentifierReplace Interface Referencepublished

This is the generic interface for supporting the replacement of elements with unique identifiers. More...

`import"XIdentifierReplace.idl";`

Inheritance diagram for XIdentifierReplace:

## Public Member Functions
void | replaceByIdentifer ([in] long Identifier, [in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| replaces the element with the specified identifier. More...
Public Member Functions inherited from XIdentifierAccess
any | getByIdentifier ([in] long Identifier) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< long > | getIdentifiers ()
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This is the generic interface for supporting the replacement of elements with unique identifiers.

## Member Function Documentation

## ◆ replaceByIdentifer()

void replaceByIdentifer | ( | [in] long | Identifier,
|  | [in] any | aElement
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::container::NoSuchElementException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

replaces the element with the specified identifier.

Parameters

  Identifier | specifies the identifier of the element that should be retrieved.
  aElement | the new element that replaces the old element for the specified identifier.

Exceptions

  com::sun::star::lang::IllegalArgumentException | If the argument is not valid for this container.
  com::sun::star::lang::NoSuchElementException | If the identifier is not existing.
  com::sun::star::lang::WrappedTargetException | If the implementation has internal reasons for exceptions, then wrap these in a com::sun::star::lang::WrappedTargetException exception.

The documentation for this interface was generated from the following file:

- com/sun/star/container/XIdentifierReplace.idl